Page MenuHomePhabricator

[Bug] App interrupted after remove layout with added all widgets
Closed, ResolvedPublic

Description

Reproduce:

  1. Add all widgets to the project
  2. Remove layout

Actual result:
Program received signal SIGINT, Interrupt.

Expected result:
App shouldn't crashed

bt:

#0  0x00007ffff6d964b0 in _evas_event_object_list_raw_in_get (
    eo_e=eo_e@entry=0x40000453b00062a6, in=0x0, list=<optimized out>, 
    stop=stop@entry=0x0, x=x@entry=0, y=y@entry=0, 
    no_rep=no_rep@entry=0x7fffffffc45c, source=source@entry=0 '\000')
    at lib/evas/canvas/evas_events.c:207
#1  0x00007ffff6d96dc4 in _evas_event_object_list_in_get (source=0 '\000', 
    no_rep=0x7fffffffc45c, y=0, x=0, stop=0x0, list=<optimized out>, 
    in=<optimized out>, eo_e=0x40000453b00062a6)
    at lib/evas/canvas/evas_events.c:1156
#2  _evas_event_objects_event_list_no_frozen_check (
    eo_e=eo_e@entry=0x40000453b00062a6, stop=stop@entry=0x0, x=x@entry=0, 
    y=y@entry=0) at lib/evas/canvas/evas_events.c:1174
#3  0x00007ffff6d97bf4 in evas_event_objects_event_list (
    eo_e=eo_e@entry=0x40000453b00062a6, stop=stop@entry=0x0, x=x@entry=0, 
    y=y@entry=0) at lib/evas/canvas/evas_events.c:1195
#4  0x00007ffff6d980d4 in _canvas_event_feed_mouse_move_internal (
    eo_e=eo_e@entry=0x40000453b00062a6, e=e@entry=0x7fffc806bc70, x=0, y=0, 
    timestamp=89112594, data=data@entry=0x0, parent_pe=parent_pe@entry=0x0)
    at lib/evas/canvas/evas_events.c:1940
#5  0x00007ffff6d9e7c4 in _canvas_event_thaw_eval_internal (e=0x7fffc806bc70, 
    eo_e=0x40000453b00062a6) at lib/evas/canvas/evas_events.c:1225
#6  _evas_canvas_eo_base_event_thaw (eo_e=0x40000453b00062a6, e=0x7fffc806bc70)
    at lib/evas/canvas/evas_events.c:1276
#7  0x00007ffff5fbce15 in eo_event_thaw (obj=0x40000453b00062a6)
    at lib/eo/eo_base.eo.c:110
#8  0x00007ffff6265f0e in _edje_object_file_set_internal (
    obj=obj@entry=0x400008ea8001146b, file=file@entry=0x3675890, 
    group=<optimized out>, 
    group@entry=0x7fffe54d9431 "elm/button/base/spinner/decrease/vertical", 
    parent=parent@entry=0x0, group_path=<optimized out>, group_path@entry=0x0, 
    nested=nested@entry=0x3b6e700) at lib/edje/edje_load.c:1430
#9  0x00007ffff627bf4f in _edje_object_efl_file_file_set (
QA_Igor created this task.Jul 15 2016, 5:08 AM
rimmed updated the task description. (Show Details)Aug 9 2016, 7:14 AM
rimmed claimed this task.
rimmed edited projects, added Eflete (Component Designer 0.7.0); removed Eflete.
rimmed triaged this task as Showstopper Issues priority.
rimmed added a comment.Aug 9 2016, 9:22 AM

Can not reproduce, please check again

rimmed lowered the priority of this task from Showstopper Issues to Incoming Queue.
rimmed triaged this task as Showstopper Issues priority.
rimmed closed this task as Resolved.Aug 15 2016, 5:05 AM